using System;
using System.Collections.Generic;
using System.Text;
using HumanLikeBattleRobots.Logic;
using HumanLikeBattleRobots.Data;


namespace HumanLikeBattleRobots.Graphic
{
    class MachinegunSprite: Sprite
    {
        public MachinegunSprite(int stage, bool isLeft)
            : base(stage)
        {
            if (isLeft)
            {
                drawTexture = GraphicResources.MachineGunLeftTexture;
                relativeCenterPosition = new Vec2f(27, 35);
            }
            else
            {
                drawTexture = GraphicResources.MachineGunRightTexture;
                relativeCenterPosition = new Vec2f(27, 0);
            }
        }

        public override void Draw()
        {
            drawTexture.DrawRotAxis(this.DrawPosition - this.AxisPosition, this.angle, 1,
                this.DrawPosition);
        }
    }
}
